# Changelog

## 1.1 (Upcoming)

### Development topics

- Changed the project structure in src/app to be more semantic.

## 1.0 (2022-11-07) Ready to evaluate

This version will be evaluated by potential users.

Most changes are bug-fixes.

### Components

#### Medien-Übersicht

Article names are now clickable.

### Usability

The configuration of the components has been redesigned. To make the settings more flexible and expandable, there
is an additional overlay with options behind a settings icon.

## 0.4.2 (2022-10-19) Pre-Test 2

This version was created for another pre-test. A change was made to include time spans in some components. Some
components visualized data over the entire time span in the dataset. This could cause irritation if a subject had
more attention in the near past. Now there is a selection that lets the user choose between different time spans.

## 0.4.1 (2022-09-28) Evaluation coming soon

This change focuses more on the upcoming evaluation. Some components have been removed to make the dashboard more
focused on science communication.

### Components

The components are now arranged in a specific order. It would be more difficult to compare the different test persons
with the previous approach where each component was randomly placed.

#### Öffentliche Wahrnehmung

_Removed_

#### Essensplan

_Removed_

#### Tipp des Tages

_Removed_

### Usability

The topic selection is also available in the overlay of each component.

Mouse over shows in each component the exact value.

## 0.4 (2022-09-13) Scrollable Views

This publication was made to talk to the second supervisor of Jan Bernoth's PhD thesis about the dashboard.

### Components

#### Hot-Topics der Woche

_Update_

### Usability

The dashboard and the overlay are now scrollable. We've decided against a responsive dashboard for every screen size.
In this state of the development the dashboard is a prototype and screens with a smaller screen resolution need to
scroll.

#### Info Box

_Update_

The tooltip of the info box is limited in space and design possibilities. Thus, we've decided to use the Wiki to
explain every component and the info box is a link to the Wiki-Entry.

## 0.3 (2022-08-29) Pre-Test 1

This release was made for the upcoming pre-test of the evaluation.

### Development topics

- Bug-Fix: the cache didn't work properly

## 0.2.1 (2022-08-25) Deployment via Tags

The main purpose of this release is to test our pipeline when the deployment process is triggered by a git-tag.
In addition, some efficiency improvements were made as a result of the stress test.

### Components

#### Hot Topics der Woche

_Update_

Changing the metric causes the component to now show the change from the previous week or month.

### Usability

#### Resize Icon

_Update_

The icon has now a background. In the stress test

### Development topics

- added a cache to minimize the communication with the server

## 0.2 (2022-08-16) Stress test

This release was made to test the dashboard and its backend with multiple users. Most visual updates are inspired
by the expert interview.

### Components

All components are displayed without tabs. Some information that was hidden in these tabs at first sight is the
basis for new components.

#### Regionale Themen

_New_

This component visualizes whether the research topic is discussed in regional or national media networks.

#### Themenreichweite

_New_

The visualization shows how many people have seen the articles on a particular topic.

#### Artikelanzahl

_New_

The visualization shows how many articles are written on a particular topic.

### Usability

Major improvements have been made in usability. As part of the upcoming evaluation, users will have to navigate the
dashboard themselves. Therefore, it is necessary that the user has a visual guide and a way to get some
descriptions of the components.

#### Info Box

_New_

Each component in the dashboard now has a question mark icon to help the user understand what is being visualized.

#### Resize Icon

_New_

Next to each visualization is a resize icon. A larger visualization offers the possibility to take a deeper look
into the data.

#### All topics vs selected topics vs single topic

_New_

For some visualizations, the user can choose to see only the selected topics or all topics. This helps to compare
the selected topics with the whole dataset. There is also an option to show only a single topic when the topic is
clicked.

#### Inactivity

_New_

In the light of the upcoming evaluation, it might be interesting to know how long the users are working with the
dashboard. It is not possible to track the actions in detail but this inactivity message could give us an indication if
someone is still active.

#### Themes

_Removed_

The color themes were not needed any further.

#### Topic labels

_Update_

The topic labels can be selected to visualize information for your research interest. The color of the topics from
the visualizations is used to color the topic labels. The search bar was reimplemented and integrated in the overlay
and on the dashboard.

The topics can also be deselected from the dashboard.

### Different Sites

_Removed_

The sites were not needed any further.

### Deployment

#### CI/CD

- Added linter to CI/CD
- Added CompoDoc to create documentation files
- The deployment process has been changed to a tag-based deployment. When a tag is pushed, the production URL is
  updated with the new code.

### Development topics

- Added Licence
- Added Citation

## 0.1.1 (2022-04-06) Release for an expert interview

This release was made to talk with a user experience expert about possible improvements. The main updates were made
in the background, all components are now connected with the backend. This resulted in a rework of all components
so that the code is more performant and easier to read.

### Components

The tabs were removed from Medien-Übersicht and Hot Topics. In Popularität this second tab is also without
functionality but not yet removed.

### Usability

#### Themes

_Update_

The colors are the same. The choice of color theme is now a button-group. All components that can adapt to the
color scheme are now connected to an event stream.

#### Select Research Topics

_Update_

The selection of themes now has its own overlay. In this overlay all topics are listed, and you have to search manually
search for an interesting topic in this list. The search bar could not be used and was removed.

## 0.1 (2022-03-15) Evaluation of a master thesis

This version was published for the evaluation of Jessica Scharrenberg's master thesis. There are some
conceptual changes in the dashboard. There are several components which have the same data basis. The previous
'Only one visualization for one purpose' rule limited the ability to get a complete overview of the data.

The new components are not connected to the server and use just mocked data from a file.

### Components

#### Medien-Übersicht

New component to see which newspapers report on the selected research topics.

#### Popularität

_New_

Provides insight into the popularity of each research topic.

#### Hot Topics der Woche

_New_

Shows which topic is recently more focused by media.

#### Essensplan

Update:

- The list of Mensa menus has been revised so that meals in the same price segment are now also displayed in groups.

#### Veranstaltungen

_Deleted_

### Usability

#### Themes

_New_

Most of the components can be view in a blue or a colorful theme.

#### Select research topics

_New_

At the top of the dashboard is a new search field. This is needed to select research topics.

#### Tabs in the components

Most components have a tab which gives another view on the given data.

### Different sites

No significant changes.

### Deployment

#### CI/CD

- removed test stage, it is hard to test UI behaviour with unit tests

#### Docker

The Docker file has been updated to enable a more efficient container creation process. But it is not efficient
enough to use it in a local development circle.

## 0.0.1 (2021-08-12) First Prototype

This version shows first prototypical components for a Transfer-Dashboard. Each component represents a different
context. The main purpose if this release was to discuss different approaches of the dashboard and to
design more meaningful applications.

The design is based on the layout of Campus.UP, a plattform for teaching and learning at the University of Potsdam.

### Components

#### Öffentliche Wahrnehmung

A component that visualize which scientific topics are most discussed in the media.

#### Essensplan

Shows you what you can eat in the local mensa.

#### Tipp des Tages

Gives you hints about the purpose of transfer.

#### Veranstaltungen

This component gives you the opportunity to evaluate the organization of your events yourself.

### Different sites

On the bottom of the dashboard there are links that lead to another site. This was done to have a separate page
for data entry. The masks were not used for production purposes, but it was, as with the components, a way
to show which data was needed and how it could be inserted or edited.

### Deployment

#### CI/CD

A pipeline with 4 stages was created: Test, Build, Deploy-Development, Deploy-Production. There is a branch for
development and a branch for production. These two branches have different URLs to deploy, so the production URL
might always work and the development URL is not so stable. There is no active user base, so deployment from
development to production is triggered only when the dashboard is displayed.

#### Docker

Dockerfile + docker-compose added. But it is difficult to use these two for development because the container must
always be recreated, which takes a lot of time.
