#!/bin/bash

DEST=/var/www/html/dashboard/
ARTEFACT_DIR=dist/oneup-dashboard

echo "===DEPLOY DASHBOARD SCRIPT==="

TMPDIR=$(mktemp -d)
if [ -z "$TMPDIR" ]; then
        exit 2
fi
trap "{ rm -rf $TMPDIR; }" EXIT
pushd $TMPDIR
        set -e
        tar xfz -
        if [ ! -f "$ARTEFACT_DIR/index.html" ]; then
                echo "$ARTEFACT_DIR/index.html missing"
                exit 3
        fi
        if [ ! -d "$DEST" ]; then
                echo "target e.g. \$DEST $DEST folder missing on deployment server"
                exit 3
        fi
        rsync -va --delete-after $TMPDIR/$ARTEFACT_DIR/ $DEST
popd