import { Injector } from '@angular/core';

/**
 *  Service to inject dependencies in the abstract page for simplified inheritance
 *  https://devblogs.microsoft.com/premier-developer/angular-how-to-simplify-components-with-typescript-inheritance/#comments
 */
export class StaticInjectorService {
  /**
   *  holds the actual injector that is used to inject dependencies
   */
  private static injector: Injector;

  /**
   *  sets the services injector (once in AppModule)
   */
  static setInjector(injector: Injector) {
    StaticInjectorService.injector = injector;
  }

  /**
   *  returns the services injector
   */
  static getInjector(): Injector {
    return StaticInjectorService.injector;
  }
}
