import { Component, EventEmitter, Output } from '@angular/core';

/**
 *  defines the components selector and the components corresponding html and css file(s)
 */
@Component({
  selector: 'app-expand-to-overlay-button',
  templateUrl: './expand-to-overlay-button.component.html',
  styleUrls: ['./expand-to-overlay-button.component.css'],
})
export class ExpandToOverlayButtonComponent {
  /**
   *  emits an event to the parent component when the button is clicked
   */
  @Output() expand = new EventEmitter<string>();

  /**
   *  inject the necessary services that are used in this component
   */
  constructor() {}

  /**
   *  emits the expand event
   */
  openOverlay() {
    this.expand.emit();
  }
}
