import { Component, Input, OnInit } from '@angular/core';
import Tooltips from '../../../assets/tooltips.json';

@Component({
  selector: 'app-info-box',
  templateUrl: './info-box.component.html',
  styleUrls: ['./info-box.component.css'],
})
export class InfoBoxComponent implements OnInit {
  @Input() selector: string;
  @Input() wikiName: string;
  tooltipText: string;

  baseURL = 'https://gitup.uni-potsdam.de/innohs/dashboard/-/wikis/';
  postfix = '-(Nutzungshandbuch)';

  constructor() {}

  ngOnInit(): void {
    this.tooltipText =
      Tooltips[this.selector] + ' Für weitere Informationen auf den Button klicken.';
  }

  openWiki() {
    const url = this.baseURL + this.wikiName + this.postfix;
    window.open(url, '_blank');
  }
}
