import { Component, OnInit } from '@angular/core';
import data from '../../../assets/grantsTender.json';

@Component({
  selector: 'app-marker',
  templateUrl: './marker.component.html',
  styleUrls: ['./marker.component.css'],
})
export class MarkerComponent implements OnInit {
  funding = data.fundingData;
  private colors = ['#5c0f0b', '#892f14', '#b45316', '#dc7a12', '#ffa600'];

  constructor() {}

  ngOnInit(): void {
    this.funding = this.funding.sort((grant1, grant2) => {
      const grantNumb1 =
        parseInt(grant1.identifier.split('-')[2], 10) * 10 +
        parseInt(grant1.identifier.split('-')[3], 10);
      const grantNumb2 =
        parseInt(grant2.identifier.split('-')[2], 10) * 10 +
        parseInt(grant2.identifier.split('-')[3], 10);

      return grantNumb1 - grantNumb2;
    });
    console.log(this.funding);
  }

  getTitleColor(grant: any) {
    const mod = parseInt(grant.identifier.split('-')[2], 10) % this.colors.length;
    return this.colors[mod];
  }
}
