import { Component, EventEmitter, Input, Output } from '@angular/core';
import { MatSelectChange } from '@angular/material/select';

/**
 *  defines the components selector and the components corresponding html and css file(s)
 */
@Component({
  selector: 'app-timespan-selector',
  templateUrl: './timespan-selector.component.html',
  styleUrls: ['./timespan-selector.component.css'],
})
export class TimespanSelectorComponent {
  /**
   *  emits an event to the parent component when the selection has changed
   */
  @Output() selectionChanged = new EventEmitter<string>();

  /**
   *  holds the value of the timespan mat-select
   */
  @Input() selected = 'totalPeriod';

  /**
   *  whether the setting should be disabled for a component
   */
  @Input() disabled = false;

  /**
   *  emits an event when the user changes the timespan value
   */
  changeSelection(ev: MatSelectChange) {
    this.selectionChanged.emit(ev.value);
  }
}
