import { HttpClientTestingModule, HttpTestingController } from '@angular/common/http/testing';
import { async, ComponentFixture, getTestBed, TestBed } from '@angular/core/testing';
import { PrService } from '../../services/pr.service';
import { ArticleTopicCircleComponent } from './article-topic-circle.component';

describe('ChartComponent', () => {
  let component: ArticleTopicCircleComponent;
  let fixture: ComponentFixture<ArticleTopicCircleComponent>;
  let prService: PrService;
  let httpMock: HttpTestingController;

  beforeEach(async(() => {
    TestBed.configureTestingModule({
      imports: [HttpClientTestingModule],
      declarations: [ArticleTopicCircleComponent],
    }).compileComponents();
  }));

  beforeEach(() => {
    fixture = TestBed.createComponent(ArticleTopicCircleComponent);
    component = fixture.componentInstance;
    fixture.detectChanges();
    // prService = new PrService();
    // prResponseService = new PrResponseService();
    httpMock = getTestBed().inject(HttpTestingController);
  });

  afterEach(() => {
    httpMock.verify();
  });

  it('should create', () => {
    expect(component).toBeTruthy();
    httpMock.expectOne('http://localhost:8080/tags/overview');
  });

  it('should create Dataobject', () => {
    const expected = {
      name: 'test',
      children: [],
    };

    const up = {
      name: 'UP',
      children: [],
    };
    up.children.push({ name: 'Jesus war kein Christ', value: 12531 });
    up.children.push({
      name: 'Kinder als Karrierestolperstein?',
      value: 250857,
    });
    expected.children.push(up);
    const hBer = {
      name: 'Hochschulen_Ber',
      children: [],
    };
    hBer.children.push({
      name: 'Geoforschungszentrum oeffnet wieder seine Labore',
      value: 12531,
    });
    hBer.children.push({ name: 'Nur die Laborarbeit fehlt', value: 187566 });
    expected.children.push(hBer);
    // expect(prResponseService.getResponseDataObject(prService.getFeedback())).toEqual(expected);
    httpMock.expectOne('http://localhost:8080/tags/overview');
  });
});
