import { Component, OnInit } from '@angular/core';
import * as d3 from 'd3';
import { DashboardElement } from '../../interfaces/dashboard-element';
import { SunburstService } from '../../services/sunburst.service';

@Component({
  selector: 'app-sunburst',
  templateUrl: './sunburst.component.html',
  styleUrls: ['./sunburst.component.css', '../../app.component.css'],
})
export class SunburstComponent implements OnInit, DashboardElement {
  g: any;
  path: any;
  width = 250;
  height = 250;
  radius = Math.min(this.width, this.height) / 2;
  color = d3.scaleOrdinal(d3.schemeSet3);
  partition: any;
  nodeData: any;
  root: any;
  arc: any;
  sunburst: any;
  svg: any;

  constructor(private createsunburst: SunburstService) {}

  ngOnInit(): void {
    this.createSunBurst();
    // this.setPartitionAndRoot();
    // this.calculateEachArc();
    // this.createSunburst();
  }

  createSunBurst() {
    this.createsunburst.getData();
    this.createsunburst.createSVGSun();
    // this.createsunburst.createZoomableSunburst();
  }

  createSVG() {
    // Size our <svg> element, add a <g> element, and move translate 0,0 to the center of the element.
    this.svg = d3
      .select('#sunburst')
      .append('svg')
      .attr('width', this.width)
      .attr('height', this.height)
      .attr('class', 'svg');
    this.g = d3
      .select('.svg')
      .append('g')
      .attr('transform', 'translate(' + this.width / 2 + ',' + this.height / 2 + ')');
  }
}

/*createBasics(){
    this.nodeData = this.datalist

    this.root = d3.partition(this.nodeData)
    this.root.each(d => d.current = d)

    this.svg = d3.select('#sunburst')
      .create('svg')
      .attr('viewBox', [0, 0, this.width, this.width])
      .style('font', '10px sans-serif');

    this.g = this.svg
      .append('g')
      .attr('transform', 'translate(' + this.width / 2 + ',' + this.height / 2 + ')');

    this.path = this.g.append('g')
      .selectAll('path')
      .data(this.root.descendants().slice(1))
      .join('path')
      .attr('fill', d => { while (d.depth > 1) d = d.parent; return this.color(d.data.name); })
      .attr('fill-opacity', d => this.arcVisible(d.current) ? (d.children ? 0.6 : 0.4) : 0)
      .attr('d', d => this.arc(d.current));

    this.path.filter(d => d.children)
      .style('cursor', 'pointer')
      .on('click', this.clicked);

    // this.path.append('title')
    //  .text(d => `${d.ancestors().map(d => d.data.name).reverse().join('/')}\n${format(d.value)}`);

    const label = this.g.append('g')
      .attr('pointer-events', 'none')
      .attr('text-anchor', 'middle')
      .style('user-select', 'none')
      .selectAll('text')
      .data(this.root.descendants().slice(1))
      .join('text')
      .attr('dy', '0.35em')
      .attr('fill-opacity', d => this.labelVisible(d.current))
      // .attr('transform', d => labelTransform(d.current))
      .text(d => d.data.name);

    const parent = this.g.append('circle')
      .datum(this.root)
      .attr('r', this.radius)
      .attr('fill', 'none')
      .attr('pointer-events', 'all')
      .on('click', this.clicked);
  }

  clicked(event, p){
    // parent.datum(p.parent || this.root);

    this.root.each(d => d.target = {
      x0: Math.max(0, Math.min(1, (d.x0 - p.x0) / (p.x1 - p.x0))) * 2 * Math.PI,
      x1: Math.max(0, Math.min(1, (d.x1 - p.x0) / (p.x1 - p.x0))) * 2 * Math.PI,
      y0: Math.max(0, d.y0 - p.depth),
      y1: Math.max(0, d.y1 - p.depth)
    });
  }

  arcVisible(d) {
    return d.y1 <= 3 && d.y0 >= 1 && d.x1 > d.x0;
  }

  labelVisible(d){
    return d.y1 <= 3 && d.y0 >=1 && (d.y1 - d.y0) * (d.x1 - d.x0) >0.03;
  }

}*/
