import { ChangeDetectorRef, Component, OnInit } from '@angular/core';
import { AbstractPage } from '../../abstract-page/abstract-page';
import { DashboardElement } from '../../interfaces/dashboard-element';
import { Tdt } from '../../interfaces/tdt';
import { TdTService } from '../../services/tdt.service';

@Component({
  selector: 'app-tdt',
  templateUrl: './tdt.component.html',
  styleUrls: ['./tdt.component.css', '../../app.component.css'],
})
export class TdTComponent extends AbstractPage implements OnInit, DashboardElement {
  public tipp: Tdt = { text: 'Lade noch den Tipp...' };

  constructor(private tdTService: TdTService, private cdRef: ChangeDetectorRef) {
    super();
  }

  ngOnInit(): void {
    this.callAPIs();
  }

  callAPIs() {
    this.componentStillLoading = true;
    // this.tdTService.getTdt().subscribe((tdt) => this.handleData(tdt));
    this.handleData({
      text: 'Manchmal stärken auch Kleinigkeiten die Transferkompetenz. Zum Beispiel zählen Abschlussarbeiten mit regionalen Unternehmen schon als Transfer.',
    });
    this.componentStillLoading = false;
    this.cdRef.detectChanges();
  }

  private handleData(tdt: any) {
    if (tdt.tipp !== undefined) {
      this.tipp.text = tdt.tipp;
    } else {
      this.tipp = tdt;
    }
  }
}
