import { Injectable } from '@angular/core';
import { ReachOfTopic, TopicWithArticle } from '../interfaces/one-up-api-response';
import { MiSeService } from './mise.service';

@Injectable({
  providedIn: 'root',
})
export class PrService {
  private feedback: TopicWithArticle[];
  private timeline: ReachOfTopic[];

  updateFeedback() {
    this.feedback = JSON.parse(MiSeService.miSePrPreferredTags);
  }

  updateTimeline() {
    this.timeline = JSON.parse(MiSeService.miSePrTimeline);
  }

  getFeedback() {
    if (this.feedback == null) {
      this.updateFeedback();
    }
    return this.feedback;
  }

  getTimeline() {
    if (this.timeline == null) {
      this.updateTimeline();
    }
    return this.timeline;
  }
}
