import { Injectable } from '@angular/core';
import { Indicator } from '../mise-va/entities/Indicator';
import { VAResponse } from '../mise-va/entities/VAResponse';

@Injectable({
  providedIn: 'root',
})
export class VaResponseService {
  private vaResponse: VAResponse;

  addVAResult(vaResponse: VAResponse) {
    this.vaResponse = vaResponse;
  }

  getIndicators(): Indicator[] {
    const indis: Indicator[] = [];
    for (const indicator of this.vaResponse.indicators) {
      indis.push(new Indicator(indicator.id, indicator.name, indicator.answerType));
    }
    return indis;
  }
}
