import { Injectable } from '@angular/core';
import * as d3 from 'd3';
import { BehaviorSubject } from 'rxjs';

@Injectable({
  providedIn: 'root',
})
export class ColorService {
  /* eslint-disable @typescript-eslint/member-ordering */
  /* eslint-disable no-underscore-dangle */
  private _changedColorSelection = new BehaviorSubject<string>('');
  changedColorSelection = this._changedColorSelection.asObservable();

  loading = {
    primary: 'grey',
    secondary: 'lightgrey',
  };

  barCharts = {
    primary: d3.scaleOrdinal().range(['#3182bd']),
    mediaOverview: d3.scaleOrdinal().range(['#abb5d8']),
    blue: d3
      .scaleOrdinal()
      .range([
        '#5F9EA0',
        '#4682B4',
        '#B0C4DE',
        '#ADD8E6',
        '#87CEFA',
        '#577695',
        '#4EB3D3',
        '#76ABD0',
        '#A9DED2',
        '#DFEBF5',
      ]),
    colorful: d3
      .scaleOrdinal()
      .range([
        '#8dd3c7',
        '#bebada',
        '#fb8072',
        '#80b1d3',
        '#fdb462',
        '#b3de69',
        '#fccde5',
        '#bc80bd',
        '#ccebc5',
        '#ffed6f',
      ]),
  };

  emitChangedColorSelection(scheme) {
    this._changedColorSelection.next(scheme);
  }
}
