/**
 *  Remove all characters from a string except digits, word characters and underscores
 *
 *  @param str – String to be replaced.
 */
export const convertToClassName = (str: string): string => str.replace(/[^\w]/gi, '');

/**
 *  Returns a random integer less than or equal to its numeric argument.
 *
 *  @param max – highest possible number of the random integer
 */
export const getRandomInt = (max: number): number => Math.floor(Math.random() * Math.floor(max));

/**
 *  Returns a subarray of allTopics, that includes every topic
 *  which name includes the search value.
 *
 *  @param value – the search query to filter by
 */
export const filter = (value: string, allTopics: string[], topicSelection: any): string[] => {
  if (value) {
    const filterValue = value.toLowerCase();

    return allTopics.filter(
      (topic) => topicSelection[topic] === false && topic.toLowerCase().includes(filterValue)
    );
  } else {
    return allTopics.filter((topic) => topicSelection[topic] === false);
  }
};
